#pragma once

#include "GameObject.h"
#include "Resource.h"

class Spiel;

class Tunnel : public GameObject
{
private:
    int id;
    bool aktiv;
    int benutzt;
    int zielX;
    int zielY;

public:
    Tunnel( ResourceRegistry *zResources, int id, int x, int y, int width, int height, int zielX, int zielY, bool aktiv );
    void setZielX( int x );
    void setZielY( int y );
    void addBenutzung( Spiel *zSpiel );
    void setAktiv( bool aktiv );
    void render( Bild &rObj ) override;
    int getZielX() const;
    int getZielY() const;
    bool istAktiv() const;
    int getBenutzungen() const;
    int getId() const;
};